Package org.apache.torque.templates.transformer.om

# Enum Class EnumValueAttributeName

java.lang.Object
java.lang.Enum<EnumValueAttributeName>
org.apache.torque.templates.transformer.om.EnumValueAttributeName

All Implemented Interfaces:
  `Serializable`, `Comparable<EnumValueAttributeName>`, `Constable`, `SourceAttributeName`

public enum EnumValueAttributeName extends Enum<EnumValueAttributeName> implements SourceAttributeName
Contains the attributes for a enum-value source element which are not defined in the Torque schema.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `JAVA_VALUE`
  The java value of the enum Attribute.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getName()`
  Returns the name of the referenced source element attribute.
  `String`
  `toString()`
  `static EnumValueAttributeName`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static EnumValueAttributeName[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### JAVA_VALUE

    public static final EnumValueAttributeName JAVA_VALUE
    The java value of the enum Attribute.

- ## Method Details

  - ### values

    public static EnumValueAttributeName[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static EnumValueAttributeName valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getName

    public String getName()
    Returns the name of the referenced source element attribute.
    Specified by:
      `getName` in interface `SourceAttributeName`
    Returns:
      the name of the referenced source element attribute.

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Enum<EnumValueAttributeName>`